package com.mx.dla.dda.contrato.condicionesTransaccion.actions;

import org.apache.log4j.Logger;
import org.springframework.beans.factory.annotation.Autowired;

import com.mx.dla.dda.contrato.common.actions.BaseContratoAction;
import com.mx.dla.dda.contrato.generales.bos.GeneralesBO;
import com.mx.dla.dda.contrato.generales.dtos.ContratoDTO;

public class CondicionesTransaccionAction extends BaseContratoAction{

	
	private static final long serialVersionUID = 1L;
	private  Logger log = Logger.getLogger(this.getClass());
	
	ContratoDTO contrato = new ContratoDTO();

	@Autowired
	private GeneralesBO generales;
	
	@Override
	public String execute() throws Exception {	

		
		this.setIdContrato((Long)this.getSession().get("idContrato"));
		buscarJustificaciones();
		contrato=generales.obtenContrato(getIdContrato());
		getSession().put("contrato", contrato);
		
		return SUCCESS;
	}

}
